Ok, this is fine for me now, I uploaded the fix in trusty, now release
team will have a look

** Description changed:

- Basically, I need libsdl2:i386 for witcher2, but I can't because when I
- try to install it this happens
+ [Impact] 
+ * People can't use libsdl2 multiarch libraries when lts-* stacks are installed
+ 
+ [Test Case]
+ * Install libsdl2 and libsdl2:i386 with *-mesa-lts-* stacks
+ 
+ [Regression Potential] 
+ * None, this is a one-time runtime relax fix, that is just needed here
+ (xenial has a replacement for the binaries, not new packages, and hwe stack 
replaces the previous one).
+ 
+ Only trusty is affected, and this just relax such dependency because of
+ the new packages introduced.
+ 
+ [Other info]
+ Basically, I need libsdl2:i386 for witcher2, but I can't because when I try 
to install it this happens
  
  Reading package lists... Done
- Building dependency tree       
+ Building dependency tree
  Reading state information... Done
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:
  
  The following packages have unmet dependencies:
-  libsdl2-2.0-0:i386 : Depends: libwayland-egl1-mesa:i386 (>= 10.0.2) or
-                                libwayland-egl1:i386
+  libsdl2-2.0-0:i386 : Depends: libwayland-egl1-mesa:i386 (>= 10.0.2) or
+                                libwayland-egl1:i386
  E: Unable to correct problems, you have held broken packages
  
  I am on nvidia drivers, so obviously I cant use mesa.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1536081

Title:
  libsdl2:i386 isn't installable on 64-bit systems with newer graphics
  stack

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libsdl2/+bug/1536081/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to